package com.ag.web.edi;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author Administrator
 */
public class ELogError implements Serializable {
	private static final long serialVersionUID = 1L;
	private String logId;
	private String cMessageCod;
	private Date errTim;
	private String progNam;
	private String sourceNam;
	private String errBakFullNam;
	private String description;
	private String insAccount;
	private Date insTimestamp;
	private String updAccount;
	private Date updTimestamp;
	private String tenantId;

	public String getErrCod() {
		return errCod;
	}

	public void setErrCod(String errCod) {
		this.errCod = errCod;
	}

	//private Collection<EcError> ecErrorCollection;
	private String errCod;
	private String mrlLogId;

	public String getMrlLogId() {
		return mrlLogId;
	}

	public void setMrlLogId(String mrlLogId) {
		this.mrlLogId = mrlLogId;
	}

	public ELogError() {
	}

	public ELogError(String logId) {
		this.logId = logId;
	}

	public ELogError(String logId, String cMessageCod, Date errTim, String progNam, String insAccount, Date insTimestamp, String tenantId) {
		this.logId = logId;
		this.cMessageCod = cMessageCod;
		this.errTim = errTim;
		this.progNam = progNam;
		this.insAccount = insAccount;
		this.insTimestamp = insTimestamp;
		this.tenantId = tenantId;
	}

	public String getLogId() {
		return logId;
	}

	public void setLogId(String logId) {
		this.logId = logId;
	}

	public String getCMessageCod() {
		return cMessageCod;
	}

	public void setCMessageCod(String cMessageCod) {
		this.cMessageCod = cMessageCod;
	}

	public Date getErrTim() {
		return errTim;
	}

	public void setErrTim(Date errTim) {
		this.errTim = errTim;
	}

	public String getProgNam() {
		return progNam;
	}

	public void setProgNam(String progNam) {
		this.progNam = progNam;
	}

	public String getSourceNam() {
		return sourceNam;
	}

	public void setSourceNam(String sourceNam) {
		this.sourceNam = sourceNam;
	}

	public String getErrBakFullNam() {
		return errBakFullNam;
	}

	public void setErrBakFullNam(String errBakFullNam) {
		this.errBakFullNam = errBakFullNam;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getInsAccount() {
		return insAccount;
	}

	public void setInsAccount(String insAccount) {
		this.insAccount = insAccount;
	}

	public Date getInsTimestamp() {
		return insTimestamp;
	}

	public void setInsTimestamp(Date insTimestamp) {
		this.insTimestamp = insTimestamp;
	}

	public String getUpdAccount() {
		return updAccount;
	}

	public void setUpdAccount(String updAccount) {
		this.updAccount = updAccount;
	}

	public Date getUpdTimestamp() {
		return updTimestamp;
	}

	public void setUpdTimestamp(Date updTimestamp) {
		this.updTimestamp = updTimestamp;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}





	@Override
	public int hashCode() {
		int hash = 0;
		hash += (logId != null ? logId.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof ELogError)) {
			return false;
		}
		ELogError other = (ELogError) object;
		if ((this.logId == null && other.logId != null) || (this.logId != null && !this.logId.equals(other.logId))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "net.huadong.edi.log.domain.ELogError[ logId=" + logId + " ]";
	}

}
